This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254446 - BRMS/BPMSuite shutdown error
BRMS/BPMSuite shutdown error
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity unspecified
: ER3
: 6.2.0
Assigned To: Maciej Swiderski
Pavel Kralik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 03:38 EDT by Ryan Zhang
Modified: 2015-10-14 05:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2015-08-18 03:38:21 EDT
Description of problem:
I can spot the error each time shutdown the server(both brms server and bpmsuite.
Please investigate what is the root cause.
The stacktrace:
15:35:04,800 INFO  [org.hibernate.tool.hbm2ddl.TableMetadata] (ServerService Thread Pool -- 23) HHH000126: Indexes: [fk_1ws9jdmhtey6mxu7jb0r0ufvs_index_e, primary_key_e8, fk_aax378yjnsmw9kb9vsu994jjv_index_e]
15:35:04,802 INFO  [org.hibernate.tool.hbm2ddl.SchemaUpdate] (ServerService Thread Pool -- 23) HHH000232: Schema update complete
15:35:04,963 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-15) JBWEB003075: Coyote HTTP/1.1 pausing on: http-localhost.localdomain/127.0.0.1:8080
15:35:04,963 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-15) JBWEB003077: Coyote HTTP/1.1 stopping on : http-localhost.localdomain/127.0.0.1:8080
15:35:05,104 ERROR [stderr] (ServerService Thread Pool -- 23) ScriptEngineManager providers.next(): javax.script.ScriptEngineFactory: Provider com.sun.script.javascript.RhinoScriptEngineFactory not found
15:35:05,290 WARN  [org.jbpm.services.task.persistence.TaskTransactionInterceptor] (ServerService Thread Pool -- 23) Could not commit session: org.hibernate.service.jndi.JndiException: unable to find transaction manager
	at org.hibernate.service.jta.platform.internal.JBossAppServerJtaPlatform.locateTransactionManager(JBossAppServerJtaPlatform.java:62) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.service.jta.platform.internal.AbstractJtaPlatform.retrieveTransactionManager(AbstractJtaPlatform.java:104) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.service.jta.platform.internal.AbstractJtaPlatform.getTransactionManager(AbstractJtaPlatform.java:115) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.service.jta.platform.internal.TransactionManagerBasedSynchronizationStrategy.canRegisterSynchronization(TransactionManagerBasedSynchronizationStrategy.java:56) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.service.jta.platform.internal.AbstractJtaPlatform.canRegisterSynchronization(AbstractJtaPlatform.java:148) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.engine.transaction.internal.TransactionCoordinatorImpl.attemptToRegisterJtaSync(TransactionCoordinatorImpl.java:247) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.engine.transaction.internal.TransactionCoordinatorImpl.pulse(TransactionCoordinatorImpl.java:284) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.ejb.AbstractEntityManagerImpl.joinTransaction(AbstractEntityManagerImpl.java:1212) [hibernate-entitymanager-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.ejb.AbstractEntityManagerImpl.postInit(AbstractEntityManagerImpl.java:178) [hibernate-entitymanager-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.ejb.EntityManagerImpl.<init>(EntityManagerImpl.java:89) [hibernate-entitymanager-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.ejb.EntityManagerFactoryImpl.createEntityManager(EntityManagerFactoryImpl.java:193) [hibernate-entitymanager-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.ejb.EntityManagerFactoryImpl.createEntityManager(EntityManagerFactoryImpl.java:188) [hibernate-entitymanager-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.drools.persistence.jpa.AbstractPersistenceContextManager.getCommandScopedEntityManager(AbstractPersistenceContextManager.java:99) [drools-persistence-jpa-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.jbpm.services.task.persistence.JPATaskPersistenceContextManager.beginCommandScopedEntityManager(JPATaskPersistenceContextManager.java:48) [jbpm-human-task-jpa-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.jbpm.services.task.persistence.TaskTransactionInterceptor.execute(TaskTransactionInterceptor.java:66) [jbpm-human-task-jpa-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.drools.persistence.jta.TransactionLockInterceptor.execute(TransactionLockInterceptor.java:67) [drools-persistence-jpa-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.drools.persistence.jpa.OptimisticLockRetryInterceptor.execute(OptimisticLockRetryInterceptor.java:82) [drools-persistence-jpa-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.jbpm.services.task.commands.TaskCommandExecutorImpl.execute(TaskCommandExecutorImpl.java:40) [jbpm-human-task-core-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.jbpm.services.task.impl.TaskDeadlinesServiceImpl.initialize(TaskDeadlinesServiceImpl.java:372) [jbpm-human-task-core-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.jbpm.services.task.HumanTaskConfigurator.getTaskService(HumanTaskConfigurator.java:157) [jbpm-human-task-core-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.kie.server.services.jbpm.JbpmKieServerExtension.init(JbpmKieServerExtension.java:143) [kie-server-services-jbpm-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.kie.server.services.impl.KieServerImpl.<init>(KieServerImpl.java:83) [kie-server-services-common-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.kie.server.services.impl.KieServerLocator.<clinit>(KieServerLocator.java:20) [kie-server-services-common-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.kie.server.services.Bootstrap.contextDestroyed(Bootstrap.java:54) [kie-server-services-common-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.apache.catalina.core.StandardContext.listenerStop(StandardContext.java:3427) [jbossweb-7.5.7.Final-redhat-1.jar:7.5.7.Final-redhat-1]
	at org.apache.catalina.core.StandardContext.stop(StandardContext.java:3939) [jbossweb-7.5.7.Final-redhat-1.jar:7.5.7.Final-redhat-1]
	at org.jboss.as.web.deployment.WebDeploymentService.doStop(WebDeploymentService.java:178) [jboss-as-web-7.5.0.Final-redhat-21.jar:7.5.0.Final-redhat-21]
	at org.jboss.as.web.deployment.WebDeploymentService.access$100(WebDeploymentService.java:61) [jboss-as-web-7.5.0.Final-redhat-21.jar:7.5.0.Final-redhat-21]
	at org.jboss.as.web.deployment.WebDeploymentService$2.run(WebDeploymentService.java:116) [jboss-as-web-7.5.0.Final-redhat-21.jar:7.5.0.Final-redhat-21]
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [rt.jar:1.8.0_45]
	at java.util.concurrent.FutureTask.run(FutureTask.java:266) [rt.jar:1.8.0_45]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_45]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_45]
	at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_45]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122)
Caused by: org.hibernate.service.jndi.JndiException: Unable to lookup JNDI name [java:jboss/TransactionManager]
	at org.hibernate.service.jndi.internal.JndiServiceImpl.locate(JndiServiceImpl.java:68) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.service.jta.platform.internal.JBossAppServerJtaPlatform.locateTransactionManager(JBossAppServerJtaPlatform.java:55) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	... 36 more
Caused by: javax.naming.NameNotFoundException: TransactionManager -- service jboss.naming.context.java.jboss.TransactionManager
	at org.jboss.as.naming.ServiceBasedNamingStore.lookup(ServiceBasedNamingStore.java:104)
	at org.jboss.as.naming.NamingContext.lookup(NamingContext.java:197)
	at org.jboss.as.naming.NamingContext.lookup(NamingContext.java:174)
	at org.jboss.as.naming.InitialContext$DefaultInitialContext.lookup(InitialContext.java:245)
	at org.jboss.as.naming.NamingContext.lookup(NamingContext.java:174)
	at javax.naming.InitialContext.lookup(InitialContext.java:421) [rt.jar:1.8.0_45]
	at javax.naming.InitialContext.lookup(InitialContext.java:421) [rt.jar:1.8.0_45]
	at org.hibernate.service.jndi.internal.JndiServiceImpl.locate(JndiServiceImpl.java:65) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	... 37 more

15:35:05,293 ERROR [org.kie.server.services.impl.KieServerImpl] (ServerService Thread Pool -- 23) Error when initializing server extension of type jBPM KIE Server extension: org.hibernate.service.jndi.JndiException: unable to find transaction manager
	at org.hibernate.service.jta.platform.internal.JBossAppServerJtaPlatform.locateTransactionManager(JBossAppServerJtaPlatform.java:62) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.service.jta.platform.internal.AbstractJtaPlatform.retrieveTransactionManager(AbstractJtaPlatform.java:104) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.service.jta.platform.internal.AbstractJtaPlatform.getTransactionManager(AbstractJtaPlatform.java:115) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.service.jta.platform.internal.TransactionManagerBasedSynchronizationStrategy.canRegisterSynchronization(TransactionManagerBasedSynchronizationStrategy.java:56) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.service.jta.platform.internal.AbstractJtaPlatform.canRegisterSynchronization(AbstractJtaPlatform.java:148) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.engine.transaction.internal.TransactionCoordinatorImpl.attemptToRegisterJtaSync(TransactionCoordinatorImpl.java:247) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.engine.transaction.internal.TransactionCoordinatorImpl.pulse(TransactionCoordinatorImpl.java:284) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.ejb.AbstractEntityManagerImpl.joinTransaction(AbstractEntityManagerImpl.java:1212) [hibernate-entitymanager-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.ejb.AbstractEntityManagerImpl.postInit(AbstractEntityManagerImpl.java:178) [hibernate-entitymanager-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.ejb.EntityManagerImpl.<init>(EntityManagerImpl.java:89) [hibernate-entitymanager-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.ejb.EntityManagerFactoryImpl.createEntityManager(EntityManagerFactoryImpl.java:193) [hibernate-entitymanager-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.ejb.EntityManagerFactoryImpl.createEntityManager(EntityManagerFactoryImpl.java:188) [hibernate-entitymanager-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.drools.persistence.jpa.AbstractPersistenceContextManager.getCommandScopedEntityManager(AbstractPersistenceContextManager.java:99) [drools-persistence-jpa-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.jbpm.services.task.persistence.JPATaskPersistenceContextManager.beginCommandScopedEntityManager(JPATaskPersistenceContextManager.java:48) [jbpm-human-task-jpa-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.jbpm.services.task.persistence.TaskTransactionInterceptor.execute(TaskTransactionInterceptor.java:66) [jbpm-human-task-jpa-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.drools.persistence.jta.TransactionLockInterceptor.execute(TransactionLockInterceptor.java:67) [drools-persistence-jpa-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.drools.persistence.jpa.OptimisticLockRetryInterceptor.execute(OptimisticLockRetryInterceptor.java:82) [drools-persistence-jpa-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.jbpm.services.task.commands.TaskCommandExecutorImpl.execute(TaskCommandExecutorImpl.java:40) [jbpm-human-task-core-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.jbpm.services.task.impl.TaskDeadlinesServiceImpl.initialize(TaskDeadlinesServiceImpl.java:372) [jbpm-human-task-core-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.jbpm.services.task.HumanTaskConfigurator.getTaskService(HumanTaskConfigurator.java:157) [jbpm-human-task-core-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.kie.server.services.jbpm.JbpmKieServerExtension.init(JbpmKieServerExtension.java:143) [kie-server-services-jbpm-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.kie.server.services.impl.KieServerImpl.<init>(KieServerImpl.java:83) [kie-server-services-common-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.kie.server.services.impl.KieServerLocator.<clinit>(KieServerLocator.java:20) [kie-server-services-common-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.kie.server.services.Bootstrap.contextDestroyed(Bootstrap.java:54) [kie-server-services-common-6.3.0.CR1-redhat-1.jar:6.3.0.CR1-redhat-1]
	at org.apache.catalina.core.StandardContext.listenerStop(StandardContext.java:3427) [jbossweb-7.5.7.Final-redhat-1.jar:7.5.7.Final-redhat-1]
	at org.apache.catalina.core.StandardContext.stop(StandardContext.java:3939) [jbossweb-7.5.7.Final-redhat-1.jar:7.5.7.Final-redhat-1]
	at org.jboss.as.web.deployment.WebDeploymentService.doStop(WebDeploymentService.java:178) [jboss-as-web-7.5.0.Final-redhat-21.jar:7.5.0.Final-redhat-21]
	at org.jboss.as.web.deployment.WebDeploymentService.access$100(WebDeploymentService.java:61) [jboss-as-web-7.5.0.Final-redhat-21.jar:7.5.0.Final-redhat-21]
	at org.jboss.as.web.deployment.WebDeploymentService$2.run(WebDeploymentService.java:116) [jboss-as-web-7.5.0.Final-redhat-21.jar:7.5.0.Final-redhat-21]
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [rt.jar:1.8.0_45]
	at java.util.concurrent.FutureTask.run(FutureTask.java:266) [rt.jar:1.8.0_45]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_45]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_45]
	at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_45]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122)
Caused by: org.hibernate.service.jndi.JndiException: Unable to lookup JNDI name [java:jboss/TransactionManager]
	at org.hibernate.service.jndi.internal.JndiServiceImpl.locate(JndiServiceImpl.java:68) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	at org.hibernate.service.jta.platform.internal.JBossAppServerJtaPlatform.locateTransactionManager(JBossAppServerJtaPlatform.java:55) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	... 36 more
Caused by: javax.naming.NameNotFoundException: TransactionManager -- service jboss.naming.context.java.jboss.TransactionManager
	at org.jboss.as.naming.ServiceBasedNamingStore.lookup(ServiceBasedNamingStore.java:104)
	at org.jboss.as.naming.NamingContext.lookup(NamingContext.java:197)
	at org.jboss.as.naming.NamingContext.lookup(NamingContext.java:174)
	at org.jboss.as.naming.InitialContext$DefaultInitialContext.lookup(InitialContext.java:245)
	at org.jboss.as.naming.NamingContext.lookup(NamingContext.java:174)
	at javax.naming.InitialContext.lookup(InitialContext.java:421) [rt.jar:1.8.0_45]
	at javax.naming.InitialContext.lookup(InitialContext.java:421) [rt.jar:1.8.0_45]
	at org.hibernate.service.jndi.internal.JndiServiceImpl.locate(JndiServiceImpl.java:65) [hibernate-core-4.2.18.Final-redhat-2.jar:4.2.18.Final-redhat-2]
	... 37 more


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Start the BxMS server
2.Ctrl+C shutdown the server and see the stacktrace in console.
3.

Actual results:


Expected results:
No error should be found when shutdown the server.

Additional info:
Comment 1 Maciej Swiderski 2015-09-08 08:11:54 EDT
this was EAP specific issue that did not invoke rest endpoints on application start but on first request which in turn delayed the kie server startup. Since it was not used (no request came to kie server) the shutdown operation triggered it to startup before it can be shutdown and thus failed on initialization as it application server has already unbound its components (data sources, transaction manager etc)

it was already fixed
droolsjbpm-integration
master:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/38d2c21c794a9d058d130ee27fcbb884f9f9efa5

6.3.x:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/38d2c21c794a9d058d130ee27fcbb884f9f9efa5#diff-7316d14f9b0a0f7a4200aefbca41422e
Comment 2 Pavel Kralik 2015-10-14 05:40:22 EDT
BPMS 6.2.0.ER3

Note You need to log in before you can comment on or make changes to this bug.